Bug 24856 - invalid itemtypes.imageurl in fr-FR sample data
Summary: invalid itemtypes.imageurl in fr-FR sample data
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-12 09:00 UTC by Jonathan Druart
Modified: 2020-04-16 21:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data (8.08 KB, patch)
2020-03-12 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data (8.18 KB, patch)
2020-03-17 16:58 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data (8.21 KB, patch)
2020-03-19 13:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-03-12 09:00:43 UTC
in installer/data/mysql/fr-FR/3-LecturePub/sample_itemtypes.sql and installer/data/mysql/fr-FR/4-Conservation/sample_itemtypes.sql the values of imageurl point to non-existent images.
Comment 1 Jonathan Druart 2020-03-12 09:01:59 UTC
Created attachment 100616 [details] [review]
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data

in installer/data/mysql/fr-FR/3-LecturePub/sample_itemtypes.sql and installer/data/mysql/fr-FR/4-Conservation/sample_itemtypes.sql the values of imageurl point to non-existent images.

Test plan:
Insert the 2 sql file and confirm that imageurl is not empty
Comment 2 Bernardo Gonzalez Kriegel 2020-03-17 16:58:49 UTC
Created attachment 100917 [details] [review]
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data

in installer/data/mysql/fr-FR/3-LecturePub/sample_itemtypes.sql and installer/data/mysql/fr-FR/4-Conservation/sample_itemtypes.sql the values of imageurl point to non-existent images.

Test plan:
Insert the 2 sql file and confirm that imageurl is not empty

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
I confirm that imageurl IS empty
No errors
Comment 3 Martin Renvoize 2020-03-19 13:48:58 UTC
Created attachment 101015 [details] [review]
Bug 24856: Remove itemtypes.imageurl in fr-FR sample data

in installer/data/mysql/fr-FR/3-LecturePub/sample_itemtypes.sql and installer/data/mysql/fr-FR/4-Conservation/sample_itemtypes.sql the values of imageurl point to non-existent images.

Test plan:
Insert the 2 sql file and confirm that imageurl is not empty

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-03-19 13:49:34 UTC
Works as described.. PQA
Comment 5 Martin Renvoize 2020-03-20 10:25:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 20:54:29 UTC
backported to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-13 18:01:12 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-16 21:18:24 UTC
Minor patch will not be backported to 18.11.x series.